# Update an NCR report (/docs/api-reference/quality/QualityController_updateNcr)

`PATCH /api/factories/{factoryId}/quality/ncrs/{id}`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `id` | path | yes | string | NCR ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "severity": {
      "type": "string",
      "description": "Updated severity.",
      "example": "critical"
    },
    "description": {
      "type": "string",
      "description": "Updated description."
    },
    "rootCause": {
      "type": "string",
      "description": "Updated root cause."
    },
    "correctiveAction": {
      "type": "string",
      "description": "Updated corrective action."
    },
    "preventiveAction": {
      "type": "string",
      "description": "Updated preventive action."
    },
    "status": {
      "type": "string",
      "description": "Workflow status.",
      "enum": [
        "open",
        "investigating",
        "resolved",
        "closed"
      ],
      "example": "investigating"
    },
    "closedBy": {
      "type": "string",
      "description": "User id of the person closing the NCR.",
      "example": "a1b2c3d4-1111-2222-3333-444455556666"
    }
  }
}
```

## Responses

### 200